Skip to main content
GET
/
api
/
svc
/
v1
/
metrics
/
grafana
/
dashboard-json
/
{workspaceId}
Get Grafana dashboard JSON for an application
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/metrics/grafana/dashboard-json/{workspaceId} \
  --header 'Authorization: Bearer <token>'
{
  "panels": [
    {
      "gridPos": {},
      "datasource": {},
      "targets": [
        {}
      ],
      "title": "<string>",
      "type": "<string>"
    }
  ],
  "title": "<string>",
  "uid": "<string>",
  "templating": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Query Parameters

applicationId
string
required

Unique identifier of the application to generate the Grafana dashboard for.

filterQuery
string | null

JSON-encoded filter object.

Response

Returns the Grafana dashboard JSON for the application.

panels
GrafanaPanel · object[]
required

Panels of Dashboard

title
string
required

Title of Dashboard

uid
string
required

UID of Dashboard

templating
object
required

Templating configuration of Dashboard